页面树结构

2017-11-09 ApacheCN 开源组织,第二期邀请成员活动,一起走的更远 : http://www.apachecn.org/member/209.html


MachineLearning 优酷地址 : http://i.youku.com/apachecn

转至元数据结尾
转至元数据起始

本节包含有关如何设置 Kibana 并使其运行的内容,包括 : 

  • 下载
  • 安装
  • 启动
  • 配置
  • 升级

支持的平台

Kibana 软件包是针对 LinuxDarwinWindows 平台来提供和测试的。 由于 KibanaNode.js 上运行,我们为这些平台包含了所必要的 Node.js 二进制文件。 不支持对单独维护的 Node.js 版本来运行 Kibana

Elasticsearch 版本

应将 Kibana 配置为运行在相同版本的 Elasticsearch 节点上。这是官方所支持的配置。

运行在 KibnaaElasticsearch 之间的 major version(主要版本)不一致的情况下是不支持的(例如。Kibana 5.xElasticsearch 2.x),也不支持在 KibanaElasticsearch 的次要版本还大的情况下运行(例如。Kibana 5.1Elasticsearch 5.0)。

运行在高于 Kibanaminor version次要版本)的 Elasticsearch 通常是可以工作的,以便于促进首先升级 Elasticsearch 的过程(例如。Kibana 5.0Elasticsearch 5.1)。在此配置中,将在 Kibana 启动时记录一条警告,因此它只是暂时的,直到 Kibana 升级到与 Elasticsearch 相同的版本为止。

运行在 KibnaaElasticsearch 之间的 patch version(补丁版本)不一致的情况下是完全支持的(例如。Kibana 5.0.0 Elasticsearch 5.0.1),然而我们也鼓励用户运行相同版本的 KibanaElasticsearch 直到 patch version(补丁版本)。